Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerMonitorScheduleInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerMonitorScheduleInfo

All Implemented Interfaces:
  TCPIPServerMonitorScheduleInfoInterface

    public class TCPIPServerMonitorScheduleInfo

extends java.lang.Object
implements TCPIPServerMonitorScheduleInfoInterface

This class wraps TCPIPServerScheduleInfo for BPEL usage.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:15:24 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerMonitorScheduleInfo(TCPIPServerScheduleInfo serverScheduleInfo)` Constructor

Method Summary
`boolean` | `getAtFixedRate()`
`long` | `getDelay()`
`long` | `getPeriod()`
`java.lang.String` | `getScheduler()`
`java.lang.String` | `getScheduleType()`
`void` | `setAtFixedRate(boolean monitorAtFixedRate)`
`void` | `setDelay(long monitorDelay)`
`void` | `setPeriod(long monitorPeriod)`
`void` | `setScheduler(java.lang.String string)`
`void` | `setScheduleType(java.lang.String string)`
`void` | `validate()` Validates the scheduler configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerMonitorScheduleInfo

    public TCPIPServerMonitorScheduleInfo(TCPIPServerScheduleInfo serverScheduleInfo)

  Constructor

  Parameters:
    `serverScheduleInfo` - an instance of TCPIPServerScheduleInfo

Method Detail

### getAtFixedRate

    public boolean getAtFixedRate()

  Specified by:
    `getAtFixedRate` in interface `TCPIPServerMonitorScheduleInfoInterface`
  Returns:
    boolean

### getDelay

    public long getDelay()

  Specified by:
    `getDelay` in interface `TCPIPServerMonitorScheduleInfoInterface`
  Returns:
    long

### getPeriod

    public long getPeriod()

  Specified by:
    `getPeriod` in interface `TCPIPServerMonitorScheduleInfoInterface`
  Returns:
    long

### getScheduler

    public java.lang.String getScheduler()

  Specified by:
    `getScheduler` in interface `TCPIPServerMonitorScheduleInfoInterface`
  Returns:
    String

### getScheduleType

    public java.lang.String getScheduleType()

  Specified by:
    `getScheduleType` in interface `TCPIPServerMonitorScheduleInfoInterface`
  Returns:
    String

### setAtFixedRate

    public void setAtFixedRate(boolean monitorAtFixedRate)

  Parameters:
    `monitorAtFixedRate` - a boolean flag

### setDelay

    public void setDelay(long monitorDelay)
                  throws TCPIPApplicationException

  Parameters:
    `monitorDelay` - a long value
  Throws:
    `TCPIPApplicationException`

### setPeriod

    public void setPeriod(long monitorPeriod)
                   throws TCPIPApplicationException

  Parameters:
    `monitorPeriod` - a long value
  Throws:
    `TCPIPApplicationException`

### setScheduler

    public void setScheduler(java.lang.String string)
                      throws TCPIPApplicationException

  Parameters:
    `string` - Scheduler
  Throws:
    `TCPIPApplicationException`

### setScheduleType

    public void setScheduleType(java.lang.String string)
                         throws TCPIPApplicationException

  Parameters:
    `string` - scheduler type
  Throws:
    `TCPIPApplicationException`

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the scheduler configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD